!function() {
    let t = null;
    var a = getApp();
    Page({
        data: {
            mhei: a.globalData.sheight,
            statusBarHeight: a.globalData.height + "px",
            navigationBarHeight: a.globalData.height + 44 + "px"
        },
        onShow: function() {
            t && t.show().catch(t => {
                console.error(t);
            });
        },
        onLoad: function(a) {
        },
        goMiniProgram: function(t) {
            console.log(t);
            var a = t.currentTarget.dataset.appid;
            wx.navigateToMiniProgram({
                appId: a,
                success: function(t) {
                    console.log(t);
                }
            });
        },
        onShareAppMessage: function(t) {
            return "button" === t.from && console.log(t.target), {
                title: "星座屋与周公解梦",
                path: "/pages/index/index",
                success: function(t) {},
                fail: function(t) {}
            };
        }
    });
}();